<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.CombinedSummaryMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.CombinedSummary">
        <id column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="period_type" property="periodType" />
        <result column="period_code" property="periodCode" />
        <result column="current_total_income" property="currentTotalIncome" />
        <result column="current_total_expense" property="currentTotalExpense" />
        <result column="current_avg_daily_income" property="currentAvgDailyIncome" />
        <result column="current_avg_daily_expense" property="currentAvgDailyExpense" />
        <result column="current_highest_expense" property="currentHighestExpense" />
        <result column="current_annual_savings_rate" property="currentAnnualSavingsRate" />
        <result column="previous_total_income" property="previousTotalIncome" />
        <result column="previous_total_expense" property="previousTotalExpense" />
        <result column="previous_avg_daily_income" property="previousAvgDailyIncome" />
        <result column="previous_avg_daily_expense" property="previousAvgDailyExpense" />
        <result column="previous_highest_expense" property="previousHighestExpense" />
        <result column="previous_annual_savings_rate" property="previousAnnualSavingsRate" />
        <result column="mom_rate_total_income" property="momRateTotalIncome" />
        <result column="mom_rate_total_expense" property="momRateTotalExpense" />
        <result column="mom_rate_avg_daily_income" property="momRateAvgDailyIncome" />
        <result column="mom_rate_avg_daily_expense" property="momRateAvgDailyExpense" />
        <result column="mom_rate_highest_expense" property="momRateHighestExpense" />
        <result column="mom_rate_annual_savings_rate" property="momRateAnnualSavingsRate" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_time, period_type, period_code, current_total_income, current_total_expense, current_avg_daily_income, current_avg_daily_expense, current_highest_expense, current_annual_savings_rate, previous_total_income, previous_total_expense, previous_avg_daily_income, previous_avg_daily_expense, previous_highest_expense, previous_annual_savings_rate, mom_rate_total_income, mom_rate_total_expense, mom_rate_avg_daily_income, mom_rate_avg_daily_expense, mom_rate_highest_expense, mom_rate_annual_savings_rate, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
